docker-build:
    image: docker:latest
    stage: build
    services:
        - docker:dind
    before_script:
        - docker login -u "$CI_REGISTRY_USER" -p "CI_REGISTRY_PASSWORD" 
    script:
        - docker build --pull -t "$CI_REGISTRY_NAME"
        - docker push "$CI_REGISTRY_NAME"
